Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class ConfigAppPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.digi.config.ui.CustomPanel
                          com.digi.config.ui.ConfigAppPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, com.digi.config.util.StatusDisplay

public class ConfigAppPanel
extends com.digi.config.ui.CustomPanel
implements com.digi.config.util.StatusDisplay

This class represents the main configuration user interface. This class is a JPanel that can be imbedded in other constructs such as a JFrame or an Applet.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`(package private) javax.swing.JPanel` | `actionPanel` Holds the MenuBar & ToolBar components
`(package private) javax.swing.Action` | `alarmAction`
`(package private) ConfigView` | `alarmView`
`(package private) boolean` | `artificialFrame`
`(package private) javax.swing.Action` | `backupAction`
`(package private) ConfigView` | `backupView`
`(package private) javax.swing.Action` | `configAllAction`
`(package private) ConfigView` | `configAllView`
`(package private) javax.swing.Action` | `configHelpAction`
`(package private) javax.swing.JPanel` | `contentPanel` View Details area of the config screen
`(package private) ConfigView` | `currentView` The currently selected ConfigView
`(package private) com.digi.config.core.Device` | `device` Proxy to the device we are configuring
`(package private) javax.swing.Action` | `factoryAction`
`(package private) ConfigView` | `factoryView`
`(package private) javax.swing.Action` | `gpioAction`
`(package private) ConfigView` | `gpioView`
`(package private) javax.swing.Action` | `homeAction`
`(package private) ConfigView` | `homeView`
`(package private) javax.swing.JMenuBar` | `menuBar` MenuBar area of the config screen
`(package private) javax.swing.JPanel` | `navigationPanel` Navigation menu area of the config screen
`(package private) javax.swing.Action` | `networkAction`
`(package private) ConfigView` | `networkView`
`(package private) javax.swing.Action` | `rebootAction`
`(package private) ConfigView` | `rebootView`
`(package private) com.digi.config.ui.SecureAccessIcon` | `secureAccessIcon` Secure access tray icon
`(package private) javax.swing.Action` | `securityAction`
`(package private) ConfigView` | `securityView`
`(package private) javax.swing.Action` | `serialAction`
`(package private) ConfigView` | `serialView`
`(package private) boolean` | `showMenuBar`
`(package private) boolean` | `showNavigationPanel`
`(package private) boolean` | `showToolBar`
`(package private) com.digi.config.ui.StatusPanel` | `statusPanel` Status area of the config screen
`(package private) javax.swing.Action` | `systemAction`
`(package private) ConfigView` | `systemView`
`(package private) javax.swing.JPanel` | `titleBar` TitleBar area of the config screen
`(package private) javax.swing.JToolBar` | `toolBar` Toolbar area of the config screen
`(package private) javax.swing.Action` | `updateFirmwareAction`
`(package private) javax.swing.JPanel` | `urlPanel` Display/Edit panel showing URL applet is connected to
`(package private) javax.swing.Action` | `viewHelpAction`

Fields inherited from class com.digi.config.ui.CustomPanel
`backgroundColor, backgroundIcon, backgroundImage, customizeKey, dftBackgroundColor, dftForegroundColor, foregroundColor, opaque, stretchImage, tileImage`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ConfigAppPanel()` ConfigAppPanel Constructor
`ConfigAppPanel(boolean artificialFrame)`

Method Summary
`void` | `doAlarmAction()`
`void` | `doBackupAction()`
`void` | `doConfigAllAction()`
`void` | `doConfigHelpAction()`
`void` | `doFactoryAction()`
`void` | `doGpioAction()`
`void` | `doHomeAction()` Custom Action methods
`void` | `doNetworkAction()`
`void` | `doRebootAction()`
`void` | `doSecurityAction()`
`void` | `doSerialAction()`
`void` | `doSystemAction()`
`void` | `doUpdateFirmwareAction()`
`void` | `doViewHelpAction()`
`javax.swing.JPanel` | `getActionPanel()` Gets the panel that holds the action controls (ie menu and toolbar) - creating if necessary.
`javax.swing.JPanel` | `getContentPanel()` Returns the panel that holds the current view
`javax.swing.JMenuBar` | `getMenuBar()`
`javax.swing.JPanel` | `getNavigationPanel()` Gets the panel that holds the action controls (ie menu and toolbar) - creating if necessary.
`com.digi.config.ui.StatusPanel` | `getStatusPanel()` Returns the panel that holds the status line
`java.lang.String` | `getStatusText()` Get the current status text.
`javax.swing.JPanel` | `getTitleBar()`
`javax.swing.JToolBar` | `getToolBar()`
`javax.swing.JPanel` | `getUrlPanel()` Returns the panel that displays the URL of the device we are connected to.
`void` | `initializeActions()` Defines the main actions that can be invoked from the menus or toolbar buttons.
`void` | `initializeViews()` Creates and initializes the view's used in the configuration application.
`void` | `switchToView(ConfigView view)` Switches contents of the ContentPanel to the specified view.
`void` | `updateStatus(boolean busy, java.lang.String text)` Update the status of the UI.

Methods inherited from class com.digi.config.ui.CustomPanel
`, isOpaque, paint`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### device

    com.digi.config.core.Device device

  Proxy to the device we are configuring

### titleBar

    javax.swing.JPanel titleBar

  TitleBar area of the config screen

### menuBar

    javax.swing.JMenuBar menuBar

  MenuBar area of the config screen

### toolBar

    javax.swing.JToolBar toolBar

  Toolbar area of the config screen

### actionPanel

    javax.swing.JPanel actionPanel

  Holds the MenuBar & ToolBar components

### navigationPanel

    javax.swing.JPanel navigationPanel

  Navigation menu area of the config screen

### contentPanel

    javax.swing.JPanel contentPanel

  View Details area of the config screen

### statusPanel

    com.digi.config.ui.StatusPanel statusPanel

  Status area of the config screen

### urlPanel

    javax.swing.JPanel urlPanel

  Display/Edit panel showing URL applet is connected to

### secureAccessIcon

    com.digi.config.ui.SecureAccessIcon secureAccessIcon

  Secure access tray icon

### showMenuBar

    boolean showMenuBar

### showToolBar

    boolean showToolBar

### showNavigationPanel

    boolean showNavigationPanel

### artificialFrame

    boolean artificialFrame

### homeAction

    javax.swing.Action homeAction

### configAllAction

    javax.swing.Action configAllAction

### networkAction

    javax.swing.Action networkAction

### serialAction

    javax.swing.Action serialAction

### gpioAction

    javax.swing.Action gpioAction

### securityAction

    javax.swing.Action securityAction

### systemAction

    javax.swing.Action systemAction

### alarmAction

    javax.swing.Action alarmAction

### rebootAction

    javax.swing.Action rebootAction

### backupAction

    javax.swing.Action backupAction

### updateFirmwareAction

    javax.swing.Action updateFirmwareAction

### factoryAction

    javax.swing.Action factoryAction

### configHelpAction

    javax.swing.Action configHelpAction

### viewHelpAction

    javax.swing.Action viewHelpAction

### homeView

    ConfigView homeView

### configAllView

    ConfigView configAllView

### networkView

    ConfigView networkView

### serialView

    ConfigView serialView

### gpioView

    ConfigView gpioView

### securityView

    ConfigView securityView

### systemView

    ConfigView systemView

### alarmView

    ConfigView alarmView

### backupView

    ConfigView backupView

### rebootView

    ConfigView rebootView

### factoryView

    ConfigView factoryView

### currentView

    ConfigView currentView

  The currently selected ConfigView

Constructor Detail

### ConfigAppPanel

    public ConfigAppPanel()
                   throws java.lang.Exception

  ConfigAppPanel Constructor

### ConfigAppPanel

    public ConfigAppPanel(boolean artificialFrame)
                   throws java.lang.Exception

Method Detail

### initializeActions

    public void initializeActions()
                           throws java.lang.Exception

  Defines the main actions that can be invoked from the menus or toolbar buttons. These actions will be used to construct the menus & toolbar buttons.

  Throws:
    `java.lang.Exception`

### initializeViews

    public void initializeViews()
                         throws java.lang.Exception

  Creates and initializes the view's used in the configuration application. Note: this could be handled on first touch of each view as well.

  Throws:
    `java.lang.Exception`

### getActionPanel

    public javax.swing.JPanel getActionPanel()

  Gets the panel that holds the action controls (ie menu and toolbar) - creating if necessary.

### getNavigationPanel

    public javax.swing.JPanel getNavigationPanel()

  Gets the panel that holds the action controls (ie menu and toolbar) - creating if necessary.

### getTitleBar

    public javax.swing.JPanel getTitleBar()

### getMenuBar

    public javax.swing.JMenuBar getMenuBar()

### getToolBar

    public javax.swing.JToolBar getToolBar()

### getContentPanel

    public javax.swing.JPanel getContentPanel()

  Returns the panel that holds the current view

### getStatusPanel

    public com.digi.config.ui.StatusPanel getStatusPanel()
                                                  throws java.lang.Exception

  Returns the panel that holds the status line

  Throws:
    `java.lang.Exception`

### getUrlPanel

    public javax.swing.JPanel getUrlPanel()

  Returns the panel that displays the URL of the device we are connected to. User can also edit the URL which results in us changing the device we are connected to.

### switchToView

    public void switchToView(ConfigView view)

  Switches contents of the ContentPanel to the specified view. Disables the previous view and activates the new view.

### updateStatus

    public void updateStatus(boolean busy,
                             java.lang.String text)

  Update the status of the UI. Sets the cursor and status panel text.

  Specified by:
    `updateStatus` in interface `com.digi.config.util.StatusDisplay`
  Parameters:
    `busy` - if true status should indicate a busy state.
    `text` - status text to be displayed.

### getStatusText

    public java.lang.String getStatusText()

  Get the current status text.

  Specified by:
    `getStatusText` in interface `com.digi.config.util.StatusDisplay`
  Returns:
    the current status text.

### doHomeAction

    public void doHomeAction()
                      throws java.lang.Exception

  Custom Action methods

  Throws:
    `java.lang.Exception`

### doConfigAllAction

    public void doConfigAllAction()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doNetworkAction

    public void doNetworkAction()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doSerialAction

    public void doSerialAction()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doGpioAction

    public void doGpioAction()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doSecurityAction

    public void doSecurityAction()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doSystemAction

    public void doSystemAction()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doAlarmAction

    public void doAlarmAction()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doBackupAction

    public void doBackupAction()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doRebootAction

    public void doRebootAction()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doUpdateFirmwareAction

    public void doUpdateFirmwareAction()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doFactoryAction

    public void doFactoryAction()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doConfigHelpAction

    public void doConfigHelpAction()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doViewHelpAction

    public void doViewHelpAction()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.